### Method

# Gtk TreeStoreappend

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_append (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* parent
    )

#### Description [src]

Appends a new row to `tree_store`.

If `parent` is non-`NULL`, then it will append the new row after the last child of `parent`, otherwise it will append a row to the top level.

The `iter` parameter will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call `gtk_tree_store_set()` or gtk_tree_store_set_value().

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An unset `GtkTreeIter` to set to the appended row.

  The argument will be set by the function.
  The data is owned by the instance.

`parent`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.